Index: /branches/vs-enhencements/src/lib/collision_detection/aabb_tree_node.cc
===================================================================
--- /branches/vs-enhencements/src/lib/collision_detection/aabb_tree_node.cc	(revision 10668)
+++ /branches/vs-enhencements/src/lib/collision_detection/aabb_tree_node.cc	(revision 10669)
@@ -740,5 +740,5 @@
 
   /* DRAW POLYGONS */
-  if( drawMode & DRAW_BV_POLYGON || drawMode & DRAW_ALL || drawMode & DRAW_BV_BLENDED)
+  if( (drawMode & DRAW_BV_POLYGON) || (drawMode & DRAW_ALL) || (drawMode & DRAW_BV_BLENDED))
   {
     if (top)
Index: /branches/vs-enhencements/src/util/track/track.cc
===================================================================
--- /branches/vs-enhencements/src/util/track/track.cc	(revision 10668)
+++ /branches/vs-enhencements/src/util/track/track.cc	(revision 10669)
@@ -100,5 +100,5 @@
      }
      LOAD_PARAM_END_CYCLE(element);
-     
+
      LoadParam(root, "ActionBox", this, Track, addActionBox );
 }
Index: /branches/vs-enhencements/src/world_entities/effects/blink.cc
===================================================================
--- /branches/vs-enhencements/src/world_entities/effects/blink.cc	(revision 10668)
+++ /branches/vs-enhencements/src/world_entities/effects/blink.cc	(revision 10669)
@@ -67,5 +67,5 @@
   this->bBoard->setTexture("textures/light/blink.png");
 
-  /// Standard values
+  //!< Standard values
   this->bBoard->setAbsCoor(0, 0, 0);
   // default position if not set in xml
Index: /branches/vs-enhencements/src/world_entities/space_ships/space_ship.cc
===================================================================
--- /branches/vs-enhencements/src/world_entities/space_ships/space_ship.cc	(revision 10668)
+++ /branches/vs-enhencements/src/world_entities/space_ships/space_ship.cc	(revision 10669)
@@ -158,45 +158,45 @@
   this->secWeaponMan.setParentEntity( this);
 
-  this->setWMSlotCount(1,8);
-  this->setWMSlotCount(2,6);
-
-  this->createWeaponSlot(1, 0, Vector(3.006, 1.028, .155), WTYPE_ALLDIRS | WTYPE_DIRECTIONAL);
-  this->createWeaponSlot(1, 1, Vector(3.006, 1.028, -.155), WTYPE_ALLDIRS | WTYPE_DIRECTIONAL);
-  this->createWeaponSlot(1, 2, Vector(4.03, .063, .876), WTYPE_ALLDIRS | WTYPE_DIRECTIONAL);
-  this->createWeaponSlot(1, 3, Vector(4.03, -.063, -.876), WTYPE_ALLDIRS | WTYPE_DIRECTIONAL);
-  this->createWeaponSlot(1, 4, Vector(1.431, -.612, 2.691), WTYPE_ALLDIRS | WTYPE_DIRECTIONAL);
-  this->createWeaponSlot(1, 5, Vector(1.431, -.612, -2.691), WTYPE_ALLDIRS | WTYPE_DIRECTIONAL);
-  this->createWeaponSlot(1, 6, Vector(1.431, -.612, 3.254), WTYPE_ALLDIRS | WTYPE_DIRECTIONAL);
-  this->createWeaponSlot(1, 7, Vector(1.431, -.612, -3.254), WTYPE_ALLDIRS | WTYPE_DIRECTIONAL);
-
-
-  this->addWeaponToSlot(1, 0, 0, "RFCannon");
-  this->addWeaponToSlot(1, 0, 1, "RFCannon");
-  this->addWeaponToSlot(1, 0, 2, "RFCannon");
-  this->addWeaponToSlot(1, 0, 3, "RFCannon");
-  this->addWeaponToSlot(1, 1, 0, "RFCannon");
-  this->addWeaponToSlot(1, 1, 1, "RFCannon");
-  this->addWeaponToSlot(1, 1, 2, "RFCannon");
-  this->addWeaponToSlot(1, 1, 3, "RFCannon");
-
-  this->addWeaponToSlot(1, 0, 4, "NadionLaser");
-  this->addWeaponToSlot(1, 0, 5, "NadionLaser");
-  this->addWeaponToSlot(1, 2, 4, "NadionLaser");
-  this->addWeaponToSlot(1, 2, 5, "NadionLaser");
-
-  this->addWeaponToSlot(1, 0, 6, "Disruptor");
-  this->addWeaponToSlot(1, 0, 7, "Disruptor");
-  this->addWeaponToSlot(1, 3, 6, "Disruptor");
-  this->addWeaponToSlot(1, 3, 7, "Disruptor");
-
-
-  this->createWeaponSlot(2, 0, Vector(1.5, 3, 0), WTYPE_ALLDIRS | WTYPE_DIRECTIONAL);
-  this->createWeaponSlot(2, 1, Vector(2.6, 0, 3.0), WTYPE_ALLDIRS | WTYPE_DIRECTIONAL);
-  this->createWeaponSlot(2, 2, Vector(1.5, 0, -.5), WTYPE_ALLDIRS | WTYPE_DIRECTIONAL);
-  this->createWeaponSlot(2, 3, Vector(1.5, 0, .5), WTYPE_ALLDIRS | WTYPE_DIRECTIONAL);
-  this->createWeaponSlot(2, 4, Vector(1.5, 0, .5), WTYPE_ALLDIRS | WTYPE_DIRECTIONAL);
-  this->createWeaponSlot(2, 5, Vector(1.5, 0, -.5), WTYPE_ALLDIRS | WTYPE_DIRECTIONAL);
-
-  this->addWeaponToSlot(2, 0, 2, "SwarmLauncher");
+  this->weaponMan.setSlotCount(8);
+  this->secWeaponMan.setSlotCount(6);
+
+  this->weaponMan.createWeaponSlot(0, 3.006, 1.028, .155, WTYPE_ALLDIRS | WTYPE_DIRECTIONAL);
+  this->weaponMan.createWeaponSlot(1, 3.006, 1.028, -.155, WTYPE_ALLDIRS | WTYPE_DIRECTIONAL);
+  this->weaponMan.createWeaponSlot(2, 4.03, .063, .876, WTYPE_ALLDIRS | WTYPE_DIRECTIONAL);
+  this->weaponMan.createWeaponSlot(3, 4.03, -.063, -.876, WTYPE_ALLDIRS | WTYPE_DIRECTIONAL);
+  this->weaponMan.createWeaponSlot(4, 1.431, -.612, 2.691, WTYPE_ALLDIRS | WTYPE_DIRECTIONAL);
+  this->weaponMan.createWeaponSlot(5, 1.431, -.612, -2.691, WTYPE_ALLDIRS | WTYPE_DIRECTIONAL);
+  this->weaponMan.createWeaponSlot(6, 1.431, -.612, 3.254, WTYPE_ALLDIRS | WTYPE_DIRECTIONAL);
+  this->weaponMan.createWeaponSlot(7, 1.431, -.612, -3.254, WTYPE_ALLDIRS | WTYPE_DIRECTIONAL);
+
+
+  this->weaponMan.addWeaponToSlot(0, 0, "RFCannon");
+  this->weaponMan.addWeaponToSlot(0, 1, "RFCannon");
+  this->weaponMan.addWeaponToSlot(0, 2, "RFCannon");
+  this->weaponMan.addWeaponToSlot(0, 3, "RFCannon");
+  this->weaponMan.addWeaponToSlot(1, 0, "RFCannon");
+  this->weaponMan.addWeaponToSlot(1, 1, "RFCannon");
+  this->weaponMan.addWeaponToSlot(1, 2, "RFCannon");
+  this->weaponMan.addWeaponToSlot(1, 3, "RFCannon");
+
+  this->weaponMan.addWeaponToSlot(0, 4, "NadionLaser");
+  this->weaponMan.addWeaponToSlot(0, 5, "NadionLaser");
+  this->weaponMan.addWeaponToSlot(2, 4, "NadionLaser");
+  this->weaponMan.addWeaponToSlot(2, 5, "NadionLaser");
+
+  this->weaponMan.addWeaponToSlot(0, 6, "Disruptor");
+  this->weaponMan.addWeaponToSlot(0, 7, "Disruptor");
+  this->weaponMan.addWeaponToSlot(3, 6, "Disruptor");
+  this->weaponMan.addWeaponToSlot(3, 7, "Disruptor");
+
+
+  this->secWeaponMan.createWeaponSlot(0, 1.5, 3, 0, WTYPE_ALLDIRS | WTYPE_DIRECTIONAL);
+  this->secWeaponMan.createWeaponSlot(1, 2.6, 0, 3.0, WTYPE_ALLDIRS | WTYPE_DIRECTIONAL);
+  this->secWeaponMan.createWeaponSlot(2, 1.5, 0, -.5, WTYPE_ALLDIRS | WTYPE_DIRECTIONAL);
+  this->secWeaponMan.createWeaponSlot(3, 1.5, 0, .5, WTYPE_ALLDIRS | WTYPE_DIRECTIONAL);
+  this->secWeaponMan.createWeaponSlot(4, 1.5, 0, .5, WTYPE_ALLDIRS | WTYPE_DIRECTIONAL);
+  this->secWeaponMan.createWeaponSlot(5, 1.5, 0, -.5, WTYPE_ALLDIRS | WTYPE_DIRECTIONAL);
+
+  this->secWeaponMan.addWeaponToSlot(0, 2, "SwarmLauncher");
 
 
@@ -231,24 +231,5 @@
   this->cameraNode.addNodeFlags(PNODE_PROHIBIT_CHILD_DELETE);
 
-  // widget handling
-  /*
-  this->electronicWidget = new OrxGui::GLGuiEnergyWidgetVertical();
-  this->electronicWidget->setDisplayedName(std::string(this->getClassName()) + " Electronics:");
-  this->electronicWidget->setSize2D(30,400);
-  this->electronicWidget->setAbsCoor2D(150,200);
-  this->electronicWidget->shiftDir2D(270);
-  this->updateElectronicWidget();
-  this->shieldWidget = new OrxGui::GLGuiEnergyWidgetVertical();
-  this->shieldWidget->setDisplayedName(std::string(this->getClassName()) + " Shield:");
-  this->shieldWidget->setSize2D(30,400);
-  this->shieldWidget->setAbsCoor2D(200,200);
-  this->shieldWidget->shiftDir2D(270);
-  this->updateShieldWidget();
-  if (this->hasPlayer())
-  {
-    State::getPlayer()->hud().setShiledWidget(this->shieldWidget);
-    State::getPlayer()->hud().setEnergyWidget(this->electronicWidget);
-  }
-  */
+
   this->electronicWidget = NULL;
   this->shieldWidget = NULL;
@@ -308,26 +289,6 @@
   this->setSupportedPlaymodes(Playable::Horizontal | Playable::Vertical);
 
-  /// FIXME
-//   this->trail = new Trail( 5, 10, .2, this);
-//   this->trail->setTexture( "textures/engine.png");
-//
-//   this->trailL = new Trail( 5, 10, .2, this);
-//   this->trailL->setTexture( "textures/engine.png");
-//
-//   this->trailR = new ( 5, 10, .2, this);
-//   this->trailR->setTexture( "textures/engine.png");
-
 
   this->toList(OM_GROUP_00);
-
-  //FIXME Just testaddition to show the wobblegrid
-/*
-  this->test  = new Wobblegrid(5);
-  test->setTexture("textures/blub.png");
-
-  test->setAbsCoor( this->getAbsCoor() + Vector(0, 2, 0));
-  test->setParent( this);
-*/
-
 }
 
@@ -350,12 +311,33 @@
   State::getCamera()->setParent(this);
 
-  LoadParam(root, "reactor", this, SpaceShip, setReactor);
-  LoadParam(root, "shield", this, SpaceShip, setShield);
-  LoadParam(root, "armor", this, SpaceShip, setArmor);
-  LoadParam(root, "electronic", this, SpaceShip, setElectronic);
-  LoadParam(root, "engine", this, SpaceShip, setEngine);
-  LoadParam(root, "energyshare", this, SpaceShip, setEnergyShare);
-  LoadParam(root, "weapon", this, SpaceShip, setWeapon);
-
+  LoadParam(root, "setReactor", this, SpaceShip, setReactor)
+  .describe("set reactor output");
+  LoadParam(root, "setShield", this, SpaceShip, setShield)
+  .describe("set shield parameters: current strenght , max strenght, threshhold value (0..1), regeneration rate");
+  LoadParam(root, "setArmor", this, SpaceShip, setArmor)
+  .describe("set armor/health parameters: current strenght , max strenght");
+  LoadParam(root, "setElectronic", this, SpaceShip, setElectronic)
+  .describe("set electronics parameters: current strenght , max strenght, threshhold value (0..1), regeneration rate");
+  LoadParam(root, "setEngine", this, SpaceShip, setEngine)
+  .describe("set base speed");
+  LoadParam(root, "setEnergyShare", this, SpaceShip, setEnergyShare)
+  .describe("set energy partitioning: shield, weapons, engine (sum should be 1)");
+  LoadParam(root, "setWeapon", this, SpaceShip, setWeapon)
+  .describe("set weapon regeneration");
+
+/*
+  LOAD_PARAM_START_CYCLE(root, element);
+  {
+    LoadParamXML_CYCLE(element, "weaponMan", this->weaponMan, WeaponManager, loadWeapons)
+    .describe("loads Weapons");
+  }
+  LOAD_PARAM_END_CYCLE(element);
+
+  LOAD_PARAM_START_CYCLE(root, element);
+  {
+    LoadParamXML_CYCLE(element, "secWeaponMan", this->secWeaponMan, WeaponManager, loadWeapons)
+    .describe("loads Weapons");
+  }
+  LOAD_PARAM_END_CYCLE(element);*/
 }
 
@@ -370,7 +352,11 @@
   bForward = bBackward = bLeft = bRight = bAscend = bDescend = bRollL = bRollR = bFire = bSecFire = false;
 
-  //xMouse = yMouse = 0;
-
-  this->setHealth(80);
+
+//   this->armorCur = this->armorMax;
+  this->setHealth(this->getHealthMax());
+  this->shieldCur = this->shieldMax;
+  this->shieldActive = true;
+  this->electronicCur = this->electronicMax;
+//   this->updateHealth();
   this->velocity = Vector(0.0, 0.0, 0.0);
 }
@@ -383,8 +369,4 @@
   State::getPlayer()->hud().setRadarCenterNode(this->travelNode);
   State::getPlayer()->hud().setOverlayActive(true);
-  //dynamic_cast <OrxGui::GLGuiEnergyWidgetVertical*> (State::getPlayer()->hud().getArmorWidget())->setDisplayedName("Armor");
-  //dynamic_cast<Element2D*>(this->secWeaponMan.getFixedTarget())->setVisibility( true);
-  //this->attachCamera();
- // this->setPlaymode(Playable::Horizontal);
 }
 
@@ -396,6 +378,4 @@
   State::getCamera()->setEventHandling(true);
   State::getPlayer()->hud().setRadarCenterNode(NULL);
-  //dynamic_cast<Element2D*>(this->secWeaponMan.getFixedTarget())->setVisibility( false);
-  //this->detachCamera();
 }
 
@@ -408,6 +388,4 @@
   if(this->hasPlayer())
     Playable::postSpawn();
-
-  //setCollision(new CollisionCluster(1.0, Vector(0,0,0)));
 }
 
@@ -695,5 +673,5 @@
       pDamage += this->shieldCur;
       if( !this->shieldActive) {
-        this->armorCur -= pDamage / 2; // remaining damages hits armor at half rate
+        this->decreaseHealth( pDamage / 2); // remaining damages hits armor at half rate
         this->electronicCur -= eDamage;
       }
@@ -701,8 +679,8 @@
   }
   else {
-    this->armorCur = this->armorCur - pDamage;
+    this->decreaseHealth(pDamage);
     this->electronicCur = this->electronicCur - eDamage;
   }
-  if( this->armorCur <= 0) { /* FIXME implement shipcrash*/ }
+  if( this->getHealth() <= 0) { /* FIXME implement shipcrash*/ }
     this->destroy(this);
 
@@ -710,16 +688,16 @@
   updateShieldWidget();
 
-  this->setHealth( this->armorCur);
+//   this->setHealth( this->armorCur);
 }
 
 
 void SpaceShip::regen(float time){
-  float tmp;
-  if (this->armorCur != this->armorMax || this->armorRegen != 0){
-    tmp = this->armorCur + this->armorRegen * time;
-    if ( tmp > electronicMax)
-      this->armorCur = this->armorMax;
+  static float tmp, armorCur, armorMax;
+  if (armorCur != armorMax || this->armorRegen != 0){
+    tmp = armorCur + armorRegen * time;
+    if ( tmp > armorMax)
+      armorCur = armorMax;
     else
-      this->armorCur = tmp;
+      armorCur = tmp;
   }
   if (this->shieldCur != this->shieldMax || this->shieldRegen != 0){
@@ -1205,8 +1183,8 @@
 };
 
-void SpaceShip::addWeaponToSlot(int wm, int config, int slot, const std::string& weaponName){
-  if (wm == 1) { this->weaponMan.addWeapon( Weapon::createWeapon( weaponName ), config, slot); }
-  if (wm == 1) { this->weaponMan.addWeapon( Weapon::createWeapon( weaponName ), config, slot); }
-  else return;
-}
-
+// void SpaceShip::addWeaponToSlot(int wm, int config, int slot, const std::string& weaponName){
+//   if (wm == 1) { this->weaponMan.addWeapon( Weapon::createWeapon( weaponName ), config, slot); }
+//   if (wm == 1) { this->weaponMan.addWeapon( Weapon::createWeapon( weaponName ), config, slot); }
+//   else return;
+// }
+
Index: /branches/vs-enhencements/src/world_entities/space_ships/space_ship.h
===================================================================
--- /branches/vs-enhencements/src/world_entities/space_ships/space_ship.h	(revision 10668)
+++ /branches/vs-enhencements/src/world_entities/space_ships/space_ship.h	(revision 10669)
@@ -67,5 +67,5 @@
     inline void setShield(float cur, float max, float th, float regen)
         { this->shieldCur = cur; this->shieldMax = max; this->shieldTH = th; this->shieldRegen = regen;};
-    inline void setArmor(float cur, float max) { this->armorCur = cur; this->armorMax = max; updateHealth(); };
+    inline void setArmor(float cur, float max) { this->setHealth(cur); this->setHealthMax(max); };
     inline void setElectronic(float cur, float max, float th, float regen)
         { this->electronicCur = cur; this->electronicMax = max; this->electronicTH = th; this->electronicRegen = regen; };
@@ -80,18 +80,5 @@
 
     //!< Resynchonizes armor with health in WE!!
-    inline void updateHealth() { this->setHealth(this->armorCur); this->setHealthMax(this->armorMax); };
-
-    inline void setWMSlotCount(int wm, int slot) {
-      if (wm == 1) { this->weaponMan.setSlotCount(slot); }
-      if (wm == 2) { this->secWeaponMan.setSlotCount(slot); }
-      else return; };
-    inline void createWeaponSlot(int wm, int slot, Vector location, long capability) {
-      if (wm == 1) {
-        this->weaponMan.setSlotPosition(slot, location);
-        this->weaponMan.setSlotCapability(slot, capability); }
-      if (wm == 2) {
-        this->secWeaponMan.setSlotPosition(slot, location);
-        this->secWeaponMan.setSlotCapability(slot, capability); }
-      else return; };
+//     inline void updateHealth() { this->setHealth(this->armorCur); this->setHealthMax(this->armorMax); };
 
     void addWeaponToSlot(int wm, int config, int slot, const std::string& weaponName);
@@ -101,6 +88,6 @@
     inline float getShieldMax() { return this->shieldMax; };        //!< returns maximum shield value
 
-    inline float getArmorCur() { return this->armorCur; };          //!< returns current armor value
-    inline float getArmorMax() { return this->armorMax; };          //!< returns current armor value
+    inline float getArmorCur() { return this->getHealth(); };          //!< returns current armor value
+    inline float getArmorMax() { return this->getHealthMax(); };          //!< returns current armor value
 
     inline float getElectronicCur() { return this->electronicCur; }; //!< returns current electronic value
@@ -157,6 +144,6 @@
     OrxGui::GLGuiEnergyWidgetVertical* shieldWidget; //!< holds the widget that shows the shield bar
 
-    float       armorCur;           //!< current armor
-    float       armorMax;           //!< maximum armor
+//    float       armorCur;           //!< current armor
+//    float       armorMax;           //!< maximum armor
     float       armorRegen;         //!< armor regeneration per tick (usable on bioships?)
     //note that the armor widget is set on the health- widget in world- entity (see in player.cc)
Index: /branches/vs-enhencements/src/world_entities/tools/mount_point.cc
===================================================================
--- /branches/vs-enhencements/src/world_entities/tools/mount_point.cc	(revision 10668)
+++ /branches/vs-enhencements/src/world_entities/tools/mount_point.cc	(revision 10669)
@@ -22,4 +22,5 @@
 
 #include "weapons/weapon_slot.h"
+#include "weapons/weapon.h"
 
 #include "particles/particle_system.h"
@@ -36,5 +37,5 @@
  * construct
  */
-MountPoint::MountPoint (const Vector& up, const Vector& forward, const Vector& center, const std::string& name)
+MountPoint::MountPoint (const Vector& up, const Vector& forward, const Vector& center,  const std::string& name)
 {
 //   PRINTF(0)("Created mount point %s\n", name.c_str());
@@ -153,4 +154,5 @@
                                     this->getRelDir()*Quaternion(M_PI, Vector(0,1,0)));
     }
+
   }
 }
Index: /branches/vs-enhencements/src/world_entities/weapons/weapon_manager.cc
===================================================================
--- /branches/vs-enhencements/src/world_entities/weapons/weapon_manager.cc	(revision 10668)
+++ /branches/vs-enhencements/src/world_entities/weapons/weapon_manager.cc	(revision 10669)
@@ -1,3 +1,2 @@
-
 /*
    orxonox - the future of 3D-vertical-scrollers
@@ -146,6 +145,7 @@
   BaseObject::loadParams(root);
 
-  LoadParam(root, "slot-count", this, WeaponManager, setSlotCount)
+  LoadParam(root, "slotCount", this, WeaponManager, setSlotCount)
   .describe("how many slots(cannons) the WeaponManager can handle");
+
 
   LOAD_PARAM_START_CYCLE(root, element);
@@ -156,4 +156,6 @@
   }
   LOAD_PARAM_END_CYCLE(element);
+
+
 }
 
@@ -357,5 +359,5 @@
  * @param slotCapability the capability @see WeaponSlotCapability
  */
-void WeaponManager::setSlotCapability(int slot, long slotCapability)
+void WeaponManager::setSlotCapability(int slot, unsigned long slotCapability)
 {
   if (slot > slotCount)
Index: /branches/vs-enhencements/src/world_entities/weapons/weapon_manager.h
===================================================================
--- /branches/vs-enhencements/src/world_entities/weapons/weapon_manager.h	(revision 10668)
+++ /branches/vs-enhencements/src/world_entities/weapons/weapon_manager.h	(revision 10669)
@@ -60,8 +60,9 @@
     // setting up the WeaponManager with the following functions
     void setSlotPosition(int slot, const Vector& position, PNode* parent = NULL);
+//     inline void setSlotPosition(float slot, float x, float y,float z) {setSlotPosition((int)slot, Vector(x,y,z));};
     void setSlotDirection(int slot, const Quaternion& rotation);
     /** @param slot the slot to get the relative position from @returns the relative position of the Carrier to the Slot */
     const Vector& getSlotPosition(int slot) const;
-    void setSlotCapability(int slot, long slotCapability);
+    void setSlotCapability(int slot, unsigned long slotCapability);
     /** @param slot the slot to get the capabilities from @returns the capabilies */
     long getSlotCapability(int slot) const;
@@ -76,4 +77,12 @@
     bool addWeapon(Weapon* weapon, int configID = -1, int slotID = -1);
     void removeWeapon(Weapon* weapon, int configID = -1);
+
+    inline void createWeaponSlot(int slot, float x, float y, float z, long capability) {
+        this->setSlotPosition(slot, Vector( x, y, z));
+        this->setSlotCapability(slot, capability); };
+
+    inline void addWeaponToSlot(int config, int slot, const std::string& weaponName){
+      this->addWeapon( Weapon::createWeapon( weaponName ), config, slot); };
+
 
     Weapon* getWeapon(int slotID) const;
Index: /branches/vs-enhencements/src/world_entities/weapons/weapon_slot.cc
===================================================================
--- /branches/vs-enhencements/src/world_entities/weapons/weapon_slot.cc	(revision 10668)
+++ /branches/vs-enhencements/src/world_entities/weapons/weapon_slot.cc	(revision 10669)
@@ -42,5 +42,6 @@
 
 WeaponSlot::~WeaponSlot()
-{}
+{
+}
 
 
@@ -55,5 +56,5 @@
 
   LoadParam(root, "slot", this, WeaponSlot, setWeaponConfig)
-      .describe("sets the weapon slot");
+  .describe("sets the weapon slot");
 }
 
@@ -63,5 +64,4 @@
 void WeaponSlot::setWeaponClass()
 {
-
 }
 
Index: /branches/vs-enhencements/src/world_entities/world_entity.h
===================================================================
--- /branches/vs-enhencements/src/world_entities/world_entity.h	(revision 10668)
+++ /branches/vs-enhencements/src/world_entities/world_entity.h	(revision 10669)
@@ -199,7 +199,7 @@
 
 
-  protected:
-      std::vector<MountPoint*> mountPoints;       //!< A list with mount points for this model
-      std::map<int, MountPoint*> mountPointMap;
+protected:
+  std::vector<MountPoint*> mountPoints;       //!< A list with mount points for this model
+  std::map<int, MountPoint*> mountPointMap;
 
 