Index: code/branches/particleEffectsHS15/data/levels/emptyLevel.oxw
===================================================================
--- code/branches/particleEffectsHS15/data/levels/emptyLevel.oxw	(revision 10644)
+++ code/branches/particleEffectsHS15/data/levels/emptyLevel.oxw	(revision 10671)
@@ -33,4 +33,15 @@
     <Light type=directional position="0,0,0" direction="0.253, 0.593, -0.765" diffuse="1.0, 0.9, 0.9, 1.0" specular="1.0, 0.9, 0.9, 1.0"/>
     <SpawnPoint team=0 position="-200,0,0" lookat="0,0,0" spawnclass=SpaceShip pawndesign=spaceshipescort />
+
+    <ParticleEmitter
+        source="Orxonox/engineglow"
+        position="0,0,0"
+        lifetime=5.0 loop=1 startdelay=2.0
+    />
+ <ParticleEmitter
+        source="Orxonox/ice"
+        position="0,0,100"
+        lifetime=2.0 loop=1 startdelay=3.0
+    />
     
   </Scene>
Index: code/branches/particleEffectsHS15/data/levels/pong.oxw
===================================================================
--- code/branches/particleEffectsHS15/data/levels/pong.oxw	(revision 10644)
+++ code/branches/particleEffectsHS15/data/levels/pong.oxw	(revision 10671)
@@ -43,5 +43,5 @@
       <Backlight scale=0.2 colour="1.0, 1.0, 0.5" width=7 length=500 lifetime=0.3 elements=20 trailmaterial="Trail/backlighttrail" material="Examples/Flare" />
       <Light type=point diffuse="1.0, 1.0, 0.5" specular="1.0, 1.0, 0.5" attenuation="1200, 1.0, 0.0035, 0.00005" />
-      <ParticleSpawner name=hiteffect position="0,0,0" source="Orxonox/sparks2" lifetime=0.01 autostart=0 mainstate=spawn />
+      <ParticleSpawner name=hiteffect position="0,0,0" source="Orxonox/engineglow" lifetime=0.01 autostart=0 mainstate=spawn />
     </attached>
     <eventlisteners>
Index: code/branches/particleEffectsHS15/data/levels/templates/spaceshipEscort.oxt
===================================================================
--- code/branches/particleEffectsHS15/data/levels/templates/spaceshipEscort.oxt	(revision 10644)
+++ code/branches/particleEffectsHS15/data/levels/templates/spaceshipEscort.oxt	(revision 10671)
@@ -101,5 +101,10 @@
     </EffectContainer>
     <EffectContainer condition="normal or boost">
-      <Backlight mainstate=activity active=false scale=0.33 name=bltest position=" 12, 0, 10" colour="0.2, 1.0, 0.65, 1.0" width=15 length=1500 lifetime=2 elements=50 trailmaterial="Trail/backlighttrail" turnontime=1 turnofftime=1 material="Flares/ThrusterFlare1" />
+      <ParticleEmitter
+        source="Orxonox/engineglow"
+        position="0,0,0"
+        lifetime=5.0 loop=1 startdelay=2.0
+        scale=0.033
+    />
       <Backlight mainstate=activity active=false scale=0.33 name=bltest position="-12, 0, 10" colour="0.2, 1.0, 0.65, 1.0" width=15 length=1500 lifetime=2 elements=50 trailmaterial="Trail/backlighttrail" turnontime=1 turnofftime=1 material="Flares/ThrusterFlare1" />
     </EffectContainer>
Index: code/branches/particleEffectsHS15/data/particle/engineglow.particle
===================================================================
--- code/branches/particleEffectsHS15/data/particle/engineglow.particle	(revision 10644)
+++ code/branches/particleEffectsHS15/data/particle/engineglow.particle	(revision 10671)
@@ -1,40 +1,114 @@
-
 particle_system Orxonox/engineglow
 {
-	quota	200
-	material	PE/bigFlame
-	particle_width	12
-	particle_height	12
-	cull_each	false
-	renderer	billboard
-	billboard_type	point
+	material PE/Special.001
+	particle_width 100.0
+	particle_height 100.0
+	quota 2000
+	cull_each false
+	sorted false
+	local_space false
+	iteration_interval 0.0
+	nonvisible_update_timeout 0.0
+	billboard_type point
+	billboard_origin center
+	billboard_rotation_type texcoord
+	point_rendering false
+	accurate_facing false
 
-	emitter HollowEllipsoid
+	emitter Ring
 	{
-		angle	0
-		colour	0.46875 0.8125 0.93359375 1
-		colour_range_start	.6640625 .91796875 .92578125 1
-		colour_range_end	.08203125 .7578125 .98046875 1
-		direction	0 1 0
-		emission_rate	45
-		position	0 0 0
-		velocity	5
-		velocity_min	4
-		velocity_max	6
-		time_to_live	0.5
-		time_to_live_min	0.2
-		time_to_live_max	0.9
-		duration	0
-		duration_min	0
-		duration_max	0
-		repeat_delay	0
-		repeat_delay_min	0
-		repeat_delay_max	0
-		width	4
-		height	2.5
-		depth	1.3
-		inner_width	0.5
-		inner_height	0.3
-		inner_depth	0.2
+		position 0.0 0.0 0.0
+		direction 0.0 0.0 1.0
+		angle 0
+		width 150
+		height 150
+		depth 1
+		inner_width 0.99
+		inner_height 0.99
+		emission_rate 30
+		velocity_min 20
+		velocity_max 20
+		time_to_live_min 5
+		time_to_live_max 5
+		duration_min 0
+		duration_max 0
+		repeat_delay_min 0
+		repeat_delay_max 0
+		colour_range_start 0.666667 1 0 1
+		colour_range_end 0 1 0 1
+	}
+
+	emitter Ring
+	{
+		position 0.0 0.0 0.0
+		direction 0.0 0.0 1.0
+		angle 0
+		width 130
+		height 130
+		depth 0
+		inner_width 0.99
+		inner_height 0.99
+		emission_rate 10
+		velocity_min 200
+		velocity_max 200
+		time_to_live_min 0.75
+		time_to_live_max 0.75
+		duration_min 0
+		duration_max 0
+		repeat_delay_min 0
+		repeat_delay_max 0
+		colour_range_start 1 1 0 1
+		colour_range_end 1 1 0.498039 1
+	}
+
+	emitter Ring
+	{
+		position 0.0 0.0 0.0
+		direction 0.0 0.0 1.0
+		angle 0
+		width 80
+		height 80
+		depth 0
+		inner_width 0.99
+		inner_height 0.99
+		emission_rate 57.89
+		velocity_min 250
+		velocity_max 250
+		time_to_live_min 1
+		time_to_live_max 1
+		duration_min 0
+		duration_max 0
+		repeat_delay_min 0
+		repeat_delay_max 0
+		colour_range_start 1 0.333333 0 1
+		colour_range_end 1 0.333333 0 1
+	}
+
+	emitter Ring
+	{
+		position 0.0 0.0 0.0
+		direction 0.0 0.0 1.0
+		angle 0
+		width 50
+		height 50
+		depth 0
+		inner_width 0.01
+		inner_height 0.5
+		emission_rate 37.89
+		velocity_min 300
+		velocity_max 300
+		time_to_live_min 1.5
+		time_to_live_max 1.5
+		duration_min 0
+		duration_max 0
+		repeat_delay_min 0
+		repeat_delay_max 0
+		colour_range_start 1 0 0 1
+		colour_range_end 1 0 0 1
+	}
+
+	affector Scaler
+	{
+		rate -20
 	}
 }
Index: code/branches/particleEffectsHS15/data/particle/ice.particle
===================================================================
--- code/branches/particleEffectsHS15/data/particle/ice.particle	(revision 10671)
+++ code/branches/particleEffectsHS15/data/particle/ice.particle	(revision 10671)
@@ -0,0 +1,59 @@
+particle_system Orxonox/ice
+{
+	material PE/Hidden.001
+	particle_width 66.6699981689453
+	particle_height 38.0999984741211
+	quota 7000
+	cull_each false
+	sorted false
+	local_space false
+	iteration_interval 0.0
+	nonvisible_update_timeout 0.0
+	billboard_type point
+	billboard_origin center
+	billboard_rotation_type texcoord
+	point_rendering false
+	accurate_facing false
+
+	emitter Box
+	{
+		position 0.0 500.0 0.0
+		direction 0.0 0.0 1.0
+		angle 0
+		width 200
+		height 200
+		depth 200
+		emission_rate 20
+		velocity_min 1
+		velocity_max 1
+		time_to_live_min 10
+		time_to_live_max 20
+		duration_min 0
+		duration_max 0
+		repeat_delay_min 0
+		repeat_delay_max 0
+		colour_range_start 1 1 1 1
+		colour_range_end 0.835294 0.956863 1 1
+	}
+
+	affector LinearForce
+	{
+		force_vector 0.0 -0.5 1.0
+		force_application add
+	}
+
+	affector DirectionRandomiser
+	{
+		randomness 50
+		scope 100
+		keep_velocity true
+	}
+
+	affector Rotator
+	{
+		rotation_speed_range_start 43.26
+		rotation_speed_range_end 0
+		rotation_range_start 0
+		rotation_range_end 0
+	}
+}
Index: code/branches/particleEffectsHS15/data/particle/rocketfire.particle
===================================================================
--- code/branches/particleEffectsHS15/data/particle/rocketfire.particle	(revision 10644)
+++ code/branches/particleEffectsHS15/data/particle/rocketfire.particle	(revision 10671)
@@ -1,50 +1,43 @@
 particle_system Orxonox/rocketfire
 {
-	quota	300
-	material	PE/explosion
-	particle_width	15
-	particle_height	5
-	cull_each	false
-	renderer	billboard
-	sorted	false
-	local_space	false
-	iteration_interval	0
-	nonvisible_update_timeout	0
-	billboard_type	point
-	billboard_origin	center
-	billboard_rotation_type	texcoord
-	common_up_vector	0 1 0
-	point_rendering	false
-	accurate_facing	false
+	material PE/Special.001
+	particle_width 6.67000007629395
+	particle_height 3.80999994277954
+	quota 300
+	cull_each false
+	sorted false
+	local_space false
+	iteration_interval 0.0
+	nonvisible_update_timeout 0.0
+	billboard_type point
+	billboard_origin center
+	billboard_rotation_type texcoord
+	point_rendering false
+	accurate_facing false
 
 	emitter Ellipsoid
 	{
-		angle	2
-		colour	1 0.682759 1 1
-		colour_range_start	1 0.682759 1 1
-		colour_range_end	1 0.682759 1 1
-		direction	0 0 1
-		emission_rate	1200
-		position	0 0 3
-		velocity	10
-		velocity_min	10
-		velocity_max	48
-		time_to_live	0.1
-		time_to_live_min	0.1
-		time_to_live_max	0.2
-		duration	0
-		duration_min	0
-		duration_max	0
-		repeat_delay	0
-		repeat_delay_min	0
-		repeat_delay_max	0
-		width	1.5
-		height	1.5
-		depth	10
+		position 0.0 0.0 3.0
+		direction 0.0 0.0 1.0
+		angle 0
+		width 0
+		height 0
+		depth 0
+		emission_rate 1200
+		velocity_min 10
+		velocity_max 48
+		time_to_live_min 0.1
+		time_to_live_max 0.19
+		duration_min 0
+		duration_max 0
+		repeat_delay_min 0
+		repeat_delay_max 0
+		colour_range_start 1 0.333333 0 1
+		colour_range_end 1 0 0 1
 	}
 
 	affector Scaler
 	{
-		rate	-20
+		rate -8
 	}
 }